Class SlotRelation

Declaration :

- C++ : struct SlotRelation
- Java : class SlotRelation

Artifact : SlotRelation

Stereotype: struct

Relation relation (<unidirectional association>)

Declaration :

- Uml : + relation : UmlRelation
- C++ : public: UmlRelation * relation
- Java : public UmlRelation relation

Relation value (<unidirectional association>)

Declaration :

- Uml : + value : UmlClassInstance
- C++ : public: UmlClassInstance * value
- Java : public UmlClassInstance value

Operation SlotRelation

because of QValueList use

Declaration :

- Uml : + SlotRelation() :
- C++ : public: SlotRelation() : relation(0), value(0)

Operation SlotRelation

Declaration :

- Uml : + SlotRelation(inout r : UmlRelation, inout v : UmlClassInstance) :
- C++ : public: SlotRelation(UmlRelation * r, UmlClassInstance * v) : relation(r), value(v)
- Java : public SlotRelation(UmlRelation r, UmlClassInstance v)